<?php

namespace WPDesk\FCF\Free\Tracker;

use FcfVendor\WPDesk\DeactivationModal;
use FcfVendor\WPDesk_Plugin_Info;

/**
 * Handles the modal displayed when the plugin is deactivated.
 */
class DeactivationTracker {

	const PLUGIN_SLUG = 'flexible-checkout-fields';

	/**
	 * @var WPDesk_Plugin_Info
	 */
	private $plugin_info;

	/**
	 * @param WPDesk_Plugin_Info $plugin_info .
	 */
	public function __construct( WPDesk_Plugin_Info $plugin_info ) {
		$this->plugin_info = $plugin_info;
	}

	/**
	 * Initializes actions for class.
	 *
	 * @return void
	 */
	public function init() {
		new DeactivationModal\Modal(
			self::PLUGIN_SLUG,
			( new DeactivationModal\Model\FormTemplate( $this->plugin_info->get_plugin_name() ) ),
			( new DeactivationModal\Model\DefaultFormOptions() ),
			( new DeactivationModal\Model\FormValues() ),
			new DeactivationModal\Sender\DataWpdeskSender(
				$this->plugin_info->get_plugin_file_name(),
				$this->plugin_info->get_plugin_name()
			)
		);
	}
}
